Crear factura
curl --request POST \
--url https://api.palomma.com/v1/invoices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reference": "INV-2026-0001",
"amount": 1850000,
"description": "Canon de arrendamiento marzo 2026",
"redirectUrl": "https://merchant.example.com/payments/return",
"customerDocumentNumber": "900123456"
}
'import requests
url = "https://api.palomma.com/v1/invoices"
payload = {
"reference": "INV-2026-0001",
"amount": 1850000,
"description": "Canon de arrendamiento marzo 2026",
"redirectUrl": "https://merchant.example.com/payments/return",
"customerDocumentNumber": "900123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reference: 'INV-2026-0001',
amount: 1850000,
description: 'Canon de arrendamiento marzo 2026',
redirectUrl: 'https://merchant.example.com/payments/return',
customerDocumentNumber: '900123456'
})
};
fetch('https://api.palomma.com/v1/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.palomma.com/v1/invoices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'reference' => 'INV-2026-0001',
'amount' => 1850000,
'description' => 'Canon de arrendamiento marzo 2026',
'redirectUrl' => 'https://merchant.example.com/payments/return',
'customerDocumentNumber' => '900123456'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.palomma.com/v1/invoices"
payload := strings.NewReader("{\n \"reference\": \"INV-2026-0001\",\n \"amount\": 1850000,\n \"description\": \"Canon de arrendamiento marzo 2026\",\n \"redirectUrl\": \"https://merchant.example.com/payments/return\",\n \"customerDocumentNumber\": \"900123456\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.palomma.com/v1/invoices")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reference\": \"INV-2026-0001\",\n \"amount\": 1850000,\n \"description\": \"Canon de arrendamiento marzo 2026\",\n \"redirectUrl\": \"https://merchant.example.com/payments/return\",\n \"customerDocumentNumber\": \"900123456\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.palomma.com/v1/invoices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reference\": \"INV-2026-0001\",\n \"amount\": 1850000,\n \"description\": \"Canon de arrendamiento marzo 2026\",\n \"redirectUrl\": \"https://merchant.example.com/payments/return\",\n \"customerDocumentNumber\": \"900123456\"\n}"
response = http.request(request)
puts response.read_body{
"id": "01HQY8EW1H9YGH5PAV5Y2M9R3T",
"reference": "INV-2026-0001",
"status": "ready",
"amount": 1850000,
"description": "Canon de arrendamiento marzo 2026",
"contract": "00000",
"expirationDate": "2026-03-11T16:37:14.007Z",
"customerDocumentNumber": "900123456",
"customerName": "Inmobiliaria Ejemplo SAS",
"createdAt": "2026-03-11T16:32:14.007Z",
"paymentUrl": "https://pagos.palomma.com/pay/merchant_123/01HQY8EW1H9YGH5PAV5Y2M9R3T"
}Facturas
Crear factura
Crea una nueva factura para el comercio autenticado.
POST
/
invoices
Crear factura
curl --request POST \
--url https://api.palomma.com/v1/invoices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reference": "INV-2026-0001",
"amount": 1850000,
"description": "Canon de arrendamiento marzo 2026",
"redirectUrl": "https://merchant.example.com/payments/return",
"customerDocumentNumber": "900123456"
}
'import requests
url = "https://api.palomma.com/v1/invoices"
payload = {
"reference": "INV-2026-0001",
"amount": 1850000,
"description": "Canon de arrendamiento marzo 2026",
"redirectUrl": "https://merchant.example.com/payments/return",
"customerDocumentNumber": "900123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reference: 'INV-2026-0001',
amount: 1850000,
description: 'Canon de arrendamiento marzo 2026',
redirectUrl: 'https://merchant.example.com/payments/return',
customerDocumentNumber: '900123456'
})
};
fetch('https://api.palomma.com/v1/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.palomma.com/v1/invoices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'reference' => 'INV-2026-0001',
'amount' => 1850000,
'description' => 'Canon de arrendamiento marzo 2026',
'redirectUrl' => 'https://merchant.example.com/payments/return',
'customerDocumentNumber' => '900123456'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.palomma.com/v1/invoices"
payload := strings.NewReader("{\n \"reference\": \"INV-2026-0001\",\n \"amount\": 1850000,\n \"description\": \"Canon de arrendamiento marzo 2026\",\n \"redirectUrl\": \"https://merchant.example.com/payments/return\",\n \"customerDocumentNumber\": \"900123456\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.palomma.com/v1/invoices")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reference\": \"INV-2026-0001\",\n \"amount\": 1850000,\n \"description\": \"Canon de arrendamiento marzo 2026\",\n \"redirectUrl\": \"https://merchant.example.com/payments/return\",\n \"customerDocumentNumber\": \"900123456\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.palomma.com/v1/invoices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reference\": \"INV-2026-0001\",\n \"amount\": 1850000,\n \"description\": \"Canon de arrendamiento marzo 2026\",\n \"redirectUrl\": \"https://merchant.example.com/payments/return\",\n \"customerDocumentNumber\": \"900123456\"\n}"
response = http.request(request)
puts response.read_body{
"id": "01HQY8EW1H9YGH5PAV5Y2M9R3T",
"reference": "INV-2026-0001",
"status": "ready",
"amount": 1850000,
"description": "Canon de arrendamiento marzo 2026",
"contract": "00000",
"expirationDate": "2026-03-11T16:37:14.007Z",
"customerDocumentNumber": "900123456",
"customerName": "Inmobiliaria Ejemplo SAS",
"createdAt": "2026-03-11T16:32:14.007Z",
"paymentUrl": "https://pagos.palomma.com/pay/merchant_123/01HQY8EW1H9YGH5PAV5Y2M9R3T"
}Cuerpo
application/json
Tipo de documento del cliente. Uno de: cc (cédula), ce (cédula de extranjería), nit (NIT), ti (tarjeta de identidad), ps (pasaporte), cif (código de identificación fiscal), ne (NIT extranjero), rc (registro civil), ppt (permiso de permanencia temporal).
Opciones disponibles:
cc, ce, nit, ti, ps, cif, ne, rc, ppt Respuesta
Factura creada
